Fork me on GitHub




(1) 2 »


xoops 2.6.0 en développement | MAJ Modules
Team FrXoops
Inscrit: 24/11/2008 00:42
De Argenteuil
Messages: 981
Bonjour,

Je me suis fait peur en lisant ce fil : XOOPS 2.6 MODULES

J'ai donc installé le core en dévellopement mis à disposition par Kris sur un miniserveur: http://tutos.xoofoo.org/modules/mydow ... /visit.php?cid=24&lid=412
XOOPS 2.6.0-rev8306
Apache 2.2.21
PHP 5.3.8
MySQL 5.5.17

J'ai tenté d'installer quelques modules:
Marquee 1.49, news 1.67, j'ai l'erreur suivante:
You have an error in your SQL syntaxcheck the manual that corresponds to your MySQL server version for the right syntax to use near 'TYPE=MyISAM AUTO_INCREMENT=1' at line 19


Pages 1.17 et CBB 4.05, page blanche.

Nous sommes actuellement sur la finalisation de la 2.5.4 RC et il y a un gros travail sur le XOOPS 2.5 Basic Module Pack - Beta 1
Il faut espérer que celui-ci sera adapter pour tourner sur la 2.6.0

Posté le : 19/11/2011 00:06
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Supporter Xoops
Inscrit: 09/01/2005 13:37
De Breizh
Messages: 16978
Bonjour,

Pour l'erreur MySQL, il faut juste remplacer dans les fichiers .sql :
TYPE=MyISAM par ENGINE=MyISAM

Ensuite concernant les modules existants et la future 2.6, il y a ici une liste de ce qui est "depreaced" -> http://dev.xoofoo.org/dev_xoops_260rv8307/d7/d29/a01589.html
Bien entendu, les modules devront être corrigés
Ghost l'ai déjà -> http://xoofoo.svn.sourceforge.net/vie ... modules/ghost_X26x/trunk/ , mais ce dernier n'est uniquement compatible avec la 2.6

Posté le : 19/11/2011 15:24

La connaissance s'accroît quand on la partage ...
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Team FrXoops
Inscrit: 24/11/2008 00:42
De Argenteuil
Messages: 981
Citation :
Kris a écrit :
Ensuite concernant les modules existants et la future 2.6, il y a ici une liste de ce qui est "depreaced" -> http://dev.xoofoo.org/dev_xoops_260rv8307/d7/d29/a01589.html
Bien entendu, les modules devront être corrigés
Ghost l'ai déjà

Ce ne sera peut être moins violent que d'adapter les modules pour xoops Engine mais il va y avoir du boulot!

D'autre part, j'ai l'impression qu'il y a une réelle rupture avec les anciennes version de xoops (mais c'est un mal pour un bien afin de bénéficier des dernières technologies).

Posté le : 19/11/2011 18:06
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Supporter Xoops
Inscrit: 09/01/2005 13:37
De Breizh
Messages: 16978
Citation :
Franck0768 a écrit :
Ce ne sera peut être moins violent que d'adapter les modules pour xoops Engine mais il va y avoir du boulot!

Sincèrement, je ne m'avancerais pas trop sur ce point - attendons de voir les évolutions

Posté le : 19/11/2011 18:56

La connaissance s'accroît quand on la partage ...
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Aspirant
Inscrit: 02/04/2008 15:00
Messages: 71
Citation :
Ce ne sera peut être moins violent que d'adapter les modules pour xoops Engine mais il va y avoir du boulot!

Merci de regarder dans XOOPS 2.6.0. pre-Alpha

Oui, XOOPS 2.6.0 sera une grande version, ce qui simplifie beaucoup de choses, et faire du développement du module beaucoup plus facile.

Posté le : 20/11/2011 07:13
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Supporter Xoops
Inscrit: 09/01/2005 13:37
De Breizh
Messages: 16978
@ Mamba : nous comprenons que le travail de trabis était nécessaire, mais nos interrogations concernent non pas les futurs modules, mais ceux qui sont actuellement utilisés par la communauté. Et cette dernière attend des réponses à ses interrogations sur la pérénité des modules qu'ils utilisent tous les jours sur leurs sites.

Posté le : 20/11/2011 10:37

La connaissance s'accroît quand on la partage ...
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Semi pro
Inscrit: 14/05/2004 22:32
Messages: 1827
Bonjour
----------------
Il me semble aussi que la compatibilité des modules actuels est importante, parce que je galère pas mal sur les différences de comportement d'une version à l'autre.
JJDai

Posté le : 20/11/2011 16:59

Waka Sensei : Ne pas perdre patience, même si cela semble impossible, c'est déjà  de la patience.
Modules : Hermes - Lexique - Funy
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Semi pro
Inscrit: 25/08/2005 22:51
De Aix les bains
Messages: 1234
Ca ressemble a un xoops 3.0 en fait quand on lit tout ca !

Moi je ne suis pas inquiet parce que ce sera forcément mieux et un xoops sans modules ce n'est rien alors je ne doute pas que modules (anciens et récents) il y aura !

Merci encore aux développeurs

Posté le : 20/11/2011 17:15

Mieux vaut marcher dans la bonne direction que courir dans la mauvaise.
----------------------------------------
www.68hc08.net la communauté francophone.
www.avironroannelecoteau.net (créé mais plus exploité)
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Semi pro
Inscrit: 13/12/2004 11:28
De Lyon
Messages: 1364
Bonjour,

Le travail effectué par Trabis pour nettoyer le code était vraiment nécessaire.
On ne pouvait pas imaginer faire évoluer Xoops s'en faire ce travail.
Certain module pourrait fonctionner sans faire de modification, mais pour d'autre il y aura des modifications nécessaires.
Une documentation sera disponible pour adapter les module avec la version 2.6 et permettra de faire aussi evoluer vos modules.

MusS

Posté le : 21/11/2011 12:53
Partager Twitter Partagez cette article sur GG+
Re: xoops 2.6.0 en développement | MAJ Modules
Semi pro
Inscrit: 14/05/2004 22:32
Messages: 1827
Super

Posté le : 21/11/2011 13:50

Waka Sensei : Ne pas perdre patience, même si cela semble impossible, c'est déjà  de la patience.
Modules : Hermes - Lexique - Funy
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
(1) 2 »




Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

25 Personne(s) en ligne (12 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 1 | Invité(s): 24 | LeMandrivien, Plus ...